import { axios } from '@/utils/request'

/**
 * 编辑基本信息
 *
 * @author yubaoshan
 * @date 2020/6/8 11:11
 */
export function addBasicInfo(parameter) {
    return axios({
        url: '/zjxl/basicInfo/addBasicInfo',
        method: 'post',
        params: parameter
    })
}

/**
 * 查询文章管理列表
 *
 * @author yubaoshan
 * @date 2020/6/8 11:11
 */
export function findArticleContentById(parameter) {
    return axios({
        url: '/zjxl/zjxlArticleContent/findArticleContentById',
        method: 'get',
        params: parameter
    })
}

/**
 * 添加文章
 *
 * @author yubaoshan
 * @date 2020/6/8 11:11
 */
export function addArticleContent(parameter) {
    return axios({
        url: '/zjxl/zjxlArticleContent/addArticleContent',
        method: 'post',
        params: parameter
    })
}

/**
 * 修改是否上线
 *
 * @author yubaoshan
 * @date 2020/6/8 11:11
 */
export function updateArticleContent(parameter) {
    return axios({
        url: '/zjxl/zjxlArticleContent/updateArticleContent',
        method: 'post',
        data: parameter
    })
}

/**
 * 删除文章管理
 *
 * @author yubaoshan
 * @date 2020/6/8 11:11
 */
export function deleteArticleContent(parameter) {
    return axios({
        url: '/zjxl/zjxlArticleContent/deleteArticleContent',
        method: 'post',
        data: parameter
    })
}
